
function p = spvecperm(m,n)
% spvecperm
% creates sparse vec permutation matrix
% p=spvecperm(m,n)
%
% Supplement to:
% Caswell, H. 2014. A matrix approach to the statistics of longevity in the
% gamma-Gompertz and related heterogeneous frailty models. Demographic Research

p = sparse(zeros(m*n));
a = sparse(zeros(m,n));
for i = 1:m
    for j = 1:n
        e = a;
        e(i,j) = 1;
        p = p + kron(e,e');
    end
end



